public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/openrgb/
Date: Thu, 09 Jan 2025 21:22:01 +0000 (UTC)	[thread overview]
Message-ID: <1736457718.dccb01aefb959c564582e182db94b0732005319c.xgqt@gentoo> (raw)

commit:     dccb01aefb959c564582e182db94b0732005319c
Author:     Alexey Sokolov <alexey+gentoo <AT> asokolov <DOT> org>
AuthorDate: Wed Jan  8 01:19:29 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Jan  9 21:21:58 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dccb01ae

app-misc/openrgb: fix ODR violations

Closes: https://bugs.gentoo.org/945326
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-misc/openrgb/Manifest              |   1 +
 app-misc/openrgb/openrgb-0.9-r2.ebuild | 107 +++++++++++++++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/app-misc/openrgb/Manifest b/app-misc/openrgb/Manifest
index f543fecc55fd..ef601d6236e9 100644
--- a/app-misc/openrgb/Manifest
+++ b/app-misc/openrgb/Manifest
@@ -1 +1,2 @@
+DIST OpenRGB-0.9-odr.patch 90600 BLAKE2B 1cb0aaab997da90b5cf6fbf1e971cef6848d4372ba021d27efed070ff2c398074d7b79623a1669995bbdaaacae1c5a9ff09344ef0cab7098e9354f95d005b856 SHA512 5f2a5194419d14b97dc2e8ca47a2b9914c01148cfb24d61266a8a9615f6d09509906d7e69d8264ddbde71474955f789925b400f29682d12779c2a3d38a4bd6eb
 DIST OpenRGB-release_0.9.tar.bz2 28689813 BLAKE2B 9fcf08d5e4d07ffc0f7867516f09044e18ce488bcdd99c8b44e0afe291b8a21a7ba92d6e7fd683ef22462a262004a992621efb59a5df6ed7551f4e9f75843241 SHA512 fb1bdbc7bcbd3bac888be313cfb6403a13d39de659ac6993858f9c1b17ad40e9c4a7d4c7c90682181841db1659a0ee298363c442a7120d43347aaf4485e7dccf

diff --git a/app-misc/openrgb/openrgb-0.9-r2.ebuild b/app-misc/openrgb/openrgb-0.9-r2.ebuild
new file mode 100644
index 000000000000..2ecef34bd7de
--- /dev/null
+++ b/app-misc/openrgb/openrgb-0.9-r2.ebuild
@@ -0,0 +1,107 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit check-reqs flag-o-matic qmake-utils udev xdg-utils
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI=${EGIT_REPO_URI:-"https://gitlab.com/CalcProgrammer1/OpenRGB"}
+else
+	SRC_URI="https://gitlab.com/CalcProgrammer1/OpenRGB/-/archive/release_${PV}/OpenRGB-release_${PV}.tar.bz2
+		https://files.asokolov.org/gentoo/OpenRGB-0.9-odr.patch"
+	S="${WORKDIR}/OpenRGB-release_${PV}"
+	KEYWORDS="~amd64 ~loong ~x86"
+	PATCHES=( "${FILESDIR}"/OpenRGB-0.9-build-system.patch )
+fi
+
+DESCRIPTION="Open source RGB lighting control"
+HOMEPAGE="https://openrgb.org https://gitlab.com/CalcProgrammer1/OpenRGB/"
+LICENSE="GPL-2"
+# subslot is OPENRGB_PLUGIN_API_VERSION from
+# https://gitlab.com/CalcProgrammer1/OpenRGB/-/blob/master/OpenRGBPluginInterface.h
+SLOT="0/3"
+
+RDEPEND="
+	dev-cpp/cpp-httplib:=
+	dev-libs/hidapi
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	net-libs/mbedtls:0=
+	virtual/libusb:1
+"
+DEPEND="
+	${RDEPEND}
+	dev-cpp/nlohmann_json
+	dev-libs/mdns
+"
+BDEPEND="
+	dev-qt/linguist-tools:5
+	virtual/pkgconfig
+"
+
+PATCHES+=(
+	"${FILESDIR}"/OpenRGB-0.7-r1-udev.patch
+	"${FILESDIR}"/OpenRGB-0.9-udev-check.patch
+	"${DISTDIR}"/OpenRGB-0.9-odr.patch
+)
+
+CHECKREQS_DISK_BUILD="2G"
+
+src_prepare() {
+	default
+	rm -r dependencies/{httplib,hidapi,libusb,mdns,json,mbedtls}* \
+		|| die "Failed to remove unneded deps"
+
+	rm dependencies/hueplusplus-1.0.0/include/json/json.hpp || die
+	echo "#include <nlohmann/json.hpp>" > dependencies/hueplusplus-1.0.0/include/json/json.hpp || die
+}
+
+src_configure() {
+	# Some plugins require symbols defined in the main binary.
+	# The upstream build system of plugins bundles OpenRGB as a submodule
+	# instead, and compiles the .cpp file again.
+	append-ldflags -Wl,--export-dynamic
+
+	# > warning: ‘-pipe’ ignored because ‘-save-temps’ specified
+	filter-flags -pipe
+
+	# cpp-httplib >=0.16.0 changed the library name from "httplib" to "cpp-httplib".
+	# See bug: https://bugs.gentoo.org/934576
+	local -a libs=()
+	if has_version "<dev-cpp/cpp-httplib-0.16.0" ; then
+		libs+=( -lhttplib )
+	else
+		libs+=( -lcpp-httplib )
+	fi
+
+	eqmake5 \
+		INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann" \
+		DEFINES+="OPENRGB_EXTRA_PLUGIN_DIRECTORY=\\\\\"\\\"${EPREFIX}/usr/$(get_libdir)/OpenRGB/plugins\\\\\"\\\"" \
+		LIBS+="${libs[@]}"
+}
+
+src_install() {
+	emake INSTALL_ROOT="${ED}" install
+
+	dodoc README.md OpenRGB.patch
+
+	rm -r "${ED}"/usr/lib/udev/ || die
+	udev_dorules 60-openrgb.rules
+
+	# This is for plugins. Upstream doesn't install any headers at all.
+	insinto /usr/include/OpenRGB
+	find . -name '*.h' -exec cp --parents '{}' "${ED}/usr/include/OpenRGB/" ';' || die
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	udev_reload
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	udev_reload
+}


             reply	other threads:[~2025-01-09 21:22 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-01-09 21:22 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-21 22:43 [gentoo-commits] repo/gentoo:master commit in: app-misc/openrgb/ Andreas Sturmlechner
2025-03-11 18:56 Maciej Barć
2025-03-05  0:04 Sam James
2025-01-09 21:22 Maciej Barć
2025-01-06 22:18 Maciej Barć
2024-09-10 22:43 Maciej Barć
2024-06-20 14:05 Maciej Barć
2023-12-16 21:45 Maciej Barć
2023-08-22 14:32 Maciej Barć
2023-08-20 17:37 Arthur Zamarin
2023-07-17 12:33 Maciej Barć
2023-04-20 10:36 WANG Xuerui
2023-04-20 10:36 WANG Xuerui
2023-02-27  9:04 Joonas Niilola
2023-02-07 23:06 Sam James
2023-01-24 23:55 Sam James
2023-01-06 14:10 Maciej Barć
2023-01-05 14:31 Maciej Barć
2022-08-04  8:03 Agostino Sarubbo
2022-01-11 22:15 Patrick McLean
2021-09-22  0:05 Patrick McLean
2021-06-22 23:00 Patrick McLean
2021-06-22 23:00 Patrick McLean
2021-06-08 23:13 [gentoo-commits] repo/gentoo:master commit in: app-misc/OpenRGB/ Patrick McLean
2020-11-19 23:50 Patrick McLean
2020-11-19 23:50 Patrick McLean
2020-09-16  2:54 Patrick McLean
2020-09-16  2:54 Patrick McLean
2020-09-16  2:54 Patrick McLean
2020-08-27 22:17 Patrick McLean
2020-08-27 22:17 Patrick McLean
2020-08-27 22:17 Patrick McLean
2020-08-27 21:25 Patrick McLean
2020-07-28  1:47 Patrick McLean
2020-07-28  1:35 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1736457718.dccb01aefb959c564582e182db94b0732005319c.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox